(function( $ ){

$.fn.replaceText = function(pattern,replacement,nofollow) {
	var htmlEsc = str => str.replace(/[&<>'"`]/g,function(s){ return '&#'+s.charCodeAt(0)+';'});
	var $not = this.find(nofollow||'script,style').find('*').addBack();
	this.find('*').addBack().not($not).contents().each(function(){
		if( this.nodeType != 3 ) return true;
		var str = htmlEsc( $(this).text() );
		if( !str.match(pattern) ) return true;
		$(this).replaceWith( str.replace(pattern,replacement) );
	});
	return this;
};

$.fn.wrapText = function(pattern,tagname,nofollow) {
	var pattern = pattern || /&#\d+;|\S/g;
	var tagname = tagname || 'span';
	var $adv = this.find(tagname);
	return this.replaceText(pattern,'<'+tagname+'>$&</'+tagname+'>',nofollow).find(tagname).not($adv);
};

})( jQuery );

$(function(){

	$('body').replaceText(/(?:&#62;){2}\d+/g,'<span style="color:#0066CC">$&</span>') //レス部分
	 .replaceText(/-(.*?)-/g,'<span style="color:#2e952e">$1</span>'); //名前部分
	
	});
